Package org.gradle.caching.local

# Class DirectoryBuildCache

java.lang.Object
org.gradle.caching.configuration.AbstractBuildCache
org.gradle.caching.local.DirectoryBuildCache

All Implemented Interfaces:
  `BuildCache`

@Incubating public class DirectoryBuildCache extends AbstractBuildCache
Configuration object for the local directory build cache.

Since:
  3.5

## Constructor Summary

Constructors
Constructor
Description
`DirectoryBuildCache()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getDirectory()`
Returns the directory to use to store the build cache.
`long`
`getTargetSizeInMB()`
The target size of the build cache in megabytes.
`void`
`setDirectory(Object directory)`
Sets the directory to use to store the build cache.
`void`
`setTargetSizeInMB(long targetSizeInMB)`
The target size of the build cache in megabytes.

### Methods inherited from class org.gradle.caching.configuration.AbstractBuildCache

`isEnabled, isPush, setEnabled, setPush`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectoryBuildCache

public DirectoryBuildCache()

## Method Details

### getDirectory

@Nullable public Object getDirectory()
Returns the directory to use to store the build cache.

### setDirectory

public void setDirectory(Object directory)
Sets the directory to use to store the build cache. The directory is evaluated as per `Project.file(Object)`.

### getTargetSizeInMB

public long getTargetSizeInMB()
The target size of the build cache in megabytes. Defaults to 5 GB.

Must be greater than or equal to 1, although larger cache sizes will be more useful.

Since:
  4.0

### setTargetSizeInMB

public void setTargetSizeInMB(long targetSizeInMB)
The target size of the build cache in megabytes. Defaults to 5 GB.

Must be greater than or equal to 1, although larger cache sizes will be more useful.

Since:
  4.0